Subject: Re: linux-next: Tree for Dec 16

From: James Hogan <[email-masked]>
Date: Tue, 16 Dec 2014 09:42:56 +0000

On 16/12/14 06:55, Guenter Roeck wrote:
> On 12/15/2014 10:44 PM, Andrew Morton wrote:
>> On Mon, 15 Dec 2014 22:35:49 -0800 Guenter Roeck <[email-masked]>
>> wrote:
>>
>>> On Tue, Dec 16, 2014 at 03:46:22PM +1100, Stephen Rothwell wrote:
>>>> Hi all,
>>>>
>>>> Please do not add any code destined for v3.20 to your linux-next
>>>> included
>>>> trees/branches until after v3.19-rc1 is released.
>>>>
>>>> Changes since 20141215:
>>>>
>>>> The infiniband tree gained a conflict against Linus' tree and a build
>>>> failure so I used the version from next-20141215.
>>>>
>>>> The userns tree gained a conflict against the vfs tree.
>>>>
>>>> The clk tree gained a build failure so I used the version from
>>>> next-20141215.
>>>>
>>>> Non-merge commits (relative to Linus' tree): 3588
>>>>   2582 files changed, 123494 insertions(+), 135748 deletions(-)
>>>>
>>>
>>> My metag buildbot test fails with this kernel.
>>
>> Thanks.  What are the error messages?
>>
>>
> Nothing. It just hangs until killed.
> 
> qemu log:
> char device redirected to /dev/pts/5
> Unable to load ROM!
> qemu: terminating on signal 15 from pid 17843
> 
> http://server.roeck-us.net:8010/builders/qemu-metag-next/builds/60/steps/qemubuildcommand/logs/stdio

Thanks a lot Guenter for report and bisection. I've confirmed on real
hardware too. I'll try debugging it.

Cheers
James

> 
> 
> Normally output would be similar to the following.
> 
> /opt/buildbot/bin/qemu-system-meta -display none -kernel vmlinux -device
> da,exit_threads=1 -chardev stdio,id=chan1 -chardev pty,id=chan2 -append
> "rdinit=/sbin/init"
> char device redirected to /dev/pts/29
> Unable to load ROM!
> Linux version 3.18.0+ ([email-masked]) (gcc version 4.2.4
> (IMG-1.4.0.300)) #5 Mon Dec 15 22:50:31 PST 2014
> LNKGET/SET go through cache but CONFIG_METAG_LNKGET_AROUND_CACHE=y
> DA present
> ...
> 
> Guenter
>